Page MenuHomeFreeBSD

sysutils/xen-tools: fix plist when DOCS option is disabled
ClosedPublic

Authored by novel on Mar 9 2019, 1:18 PM.

Details

Summary
  • Fix plist when DOCS option is disabled
  • Install man pages into a proper directory and also get them compressed

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

novel created this revision.Mar 9 2019, 1:18 PM
royger accepted this revision.Mar 11 2019, 4:31 PM

LGTM, thanks!

This revision is now accepted and ready to land.Mar 11 2019, 4:31 PM

Forgot to ask but can you commit this?

I'm not a ports committer myself, so I would have to ask for your 'Approved by' if I have to commit this, which seems quite pointless.

This revision was automatically updated to reflect the committed changes.
mat added a comment.Mar 12 2019, 8:38 PM

The manpages should not be behind the DOCS option, they should either always be installed, or be behind a MANPAGES option (that defaults to on).

In D19521#418756, @mat wrote:

The manpages should not be behind the DOCS option, they should either always be installed, or be behind a MANPAGES option (that defaults to on).

Thanks, let me see if I can find some time to fix this either today or tomorrow.

novel added a comment.Mar 13 2019, 3:13 PM
In D19521#418756, @mat wrote:

The manpages should not be behind the DOCS option, they should either always be installed, or be behind a MANPAGES option (that defaults to on).

Thanks, let me see if I can find some time to fix this either today or tomorrow.

Please let me know if you need some help with that.